﻿using System;
using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class EnemyCharacter : AbstractCharacter
{
    public override void Move(Vector2 movementDirection)
    {
        _mover.Direction = movementDirection;
    }

    public override void Shoot()
    {
        // Always shoot
        _shooter.Shoot(_shooter.EnergyCost+1);
    }

    // TODO : Gain points, maybe through Events?
    protected override void Death()
    {
        Destroy(gameObject);
    }

    // Don't gain points
    private void OnBecameInvisible()
    {
        Destroy(gameObject);
    }
}
